///////////////////////////////////////////////////////////////////////////////
// ExtendedFileWrapper.h
// Paul Wilson
// Oxford Metrics, June 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include "ThinFileWrapper.h"
#include <cassert>

class VExtendedFileWrapper : public VThinFileWrapper
{
public:
	enum EStatus	{ EClosed, ECreate, EOpen };
	enum EFileMode	{ EFail, EReadOnly, EWriteOnly, EReadWrite };
private:
	EStatus m_Status;
public:
	VExtendedFileWrapper();
	virtual ~VExtendedFileWrapper();

	EFileMode OpenFile(std::string a_strFilename);
	bool CreateFile(std::string a_strFilename);
	void CloseFile();

	bool SectionSeek(std::string strSectionName);
	EStatus GetStatus() { return m_Status; }
};

